package com.zd.exam.mapper;

import com.zd.common.core.domain.R;
import com.zd.exam.domain.ElPointsRecord;
import com.zd.exam.domain.dto.ElPointsRecordDTO;
import com.zd.exam.domain.vo.ElPointsRecordListVO;

import java.util.List;


/**
 * 用户积分记录Mapper接口
 *
 * @author zd
 * @date 2021-09-07
 */
public interface ElPointsRecordMapper {
    /**
     * 查询用户积分记录
     *
     * @param id 用户积分记录主键
     * @return 用户积分记录
     */
    public ElPointsRecord selectElPointsRecordById(Long id);

    /**
     * 查询用户积分记录列表
     *
     * @param elPointsRecord 用户积分记录
     * @return 用户积分记录集合
     */
    public List<ElPointsRecord> selectElPointsRecordList(ElPointsRecord elPointsRecord);

    /**
     * 查询用户积分记录列表
     *
     * @param elPointsRecord 用户积分记录
     * @return 用户积分记录集合
     */
    public List<ElPointsRecord> getLastMonthViolation(ElPointsRecord elPointsRecord);

    /**
     * 查询用户积分记录列表vo
     *
     * @param elPointsRecord 用户积分记录
     * @return 用户积分记录集合
     */
    public List<ElPointsRecordListVO> selectElPointsRecordVOList(ElPointsRecordDTO elPointsRecord);

    /**
     * 查询用户积分记录列表vo
     *
     * @param elPointsRecord 用户积分记录
     * @return 用户积分记录集合
     */
    public Integer selectElCountPointsRecord(ElPointsRecordDTO elPointsRecord);


    /**
     * 新增用户积分记录
     *
     * @param elPointsRecord 用户积分记录
     * @return 结果
     */
    public int insertElPointsRecord(ElPointsRecord elPointsRecord);

    /**
     * 修改用户积分记录
     *
     * @param elPointsRecord 用户积分记录
     * @return 结果
     */
    public int updateElPointsRecord(ElPointsRecord elPointsRecord);

    /**
     * 删除用户积分记录
     *
     * @param id 用户积分记录主键
     * @return 结果
     */
    public int deleteElPointsRecordById(Long id);

    /**
     * 批量删除用户积分记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElPointsRecordByIds(Long[] ids);


    List<ElPointsRecordListVO> findByUserId(Long userId);
}
